var sortCol;												// a tbla ezen oszlop szerint van rendezve
var actTab;													// az aktulis "oldal" azonostja

// ****************************************************************************
// (t)rendezzk a tblt
// ****************************************************************************
function sortTable(column) {
	// megkeressk a tblt, amin dolgoznunk kell
	var table = document.getElementById("sortable");

	// ha csak egy sora van, akkor nem foglalkozunk vele
	if (table.rows.length <= 1) return;						

	var actHead = table.tHead.rows[0].cells[Math.abs(sortCol) - 1];
	if (actHead) {
		actHead.className = actHead.className.replace((sortCol > 0) ? "asc" : "des", "");
	}

	// ha a jelenlegivel azonos oszlopra kattintott, akkor megfordtjuk a rendezst
	sortCol = column * ((column == sortCol) ? -1 : 1);
	
	// kell egy tmb, amibe kigyjtjk a teljes tblatestet
	var newRows = new Array();
	
	// a tmbbe betltjk az sszes cella tartalmt s stlust
	for (var r = 0; r < table.tBodies[0].rows.length; r++) {
		newRows[r] = new Array();
		for (var c = 0; c < table.tBodies[0].rows[r].cells.length; c++) {
			newRows[r][c] = new Object();
			newRows[r][c].value = table.tBodies[0].rows[r].cells[c].innerHTML;
			newRows[r][c].style = table.tBodies[0].rows[r].cells[c].className;
		}
	}

	// a tmbt lerendezzk a sortFn fggvny segtsgvel
	newRows.sort(sortFn);
		
	// a tmb tartalmt visszarjuk a tblatestbe
	for (var r = 0; r < table.tBodies[0].rows.length; r++) {
		for (var c = 0; c < table.tBodies[0].rows[r].cells.length; c++) {
			table.tBodies[0].rows[r].cells[c].innerHTML = newRows[r][c].value;
			table.tBodies[0].rows[r].cells[c].className = newRows[r][c].style;
		}
	}
		
	var newHead = table.tHead.rows[0].cells[Math.abs(sortCol) - 1];
	newHead.className += (sortCol > 0) ? " asc" : " des";
	newHead.firstChild.blur();
}

// egy kis segtsg a sort() metdusnak
function sortFn(a, b) {
	if (Math.abs(sortCol) != 4) {
		var aa = removeAccents(a[Math.abs(sortCol) - 1].value.toLowerCase());
		var bb = removeAccents(b[Math.abs(sortCol) - 1].value.toLowerCase());
	} else {
		var aa = removeAccents(a[3].value.substr(a[3].value.indexOf(">") + 2, 99));
		var bb = removeAccents(b[3].value.substr(b[3].value.indexOf(">") + 2, 99));
	}

	if (aa == bb)
		return 0;
	else
		return ((aa < bb) ? -1 : 1) * ((sortCol < 0) ? -1: 1);
}

function removeAccents(str) {
	// a rendezskor az kezetes betk zavarak, ezrt eltntetjk az kezeteket
	str = str.replace(//g, "a"); str = str.replace(//g, "e"); str = str.replace(//g, "i");
	str = str.replace(//g, "o"); str = str.replace(//g, "o"); str = str.replace(//g, "o");
	str = str.replace(//g, "u"); str = str.replace(//g, "u"); str = str.replace(//g, "u");
	
	str = str.replace(//g, "A"); str = str.replace(//g, "E"); str = str.replace(//g, "I");
	str = str.replace(//g, "O"); str = str.replace(//g, "O"); str = str.replace(//g, "O");
	str = str.replace(//g, "U"); str = str.replace(//g, "U"); str = str.replace(//g, "U");

	return str;
}

// ****************************************************************************
// a "flek" megjelentse/eltntetse
// ****************************************************************************
function showTab(tab) {
	var tabNum = tab.id.replace("_tab", "");
	
	if (actTab != tabNum) {														// ha nem az aktulis flre kattintott
		actTabDiv = document.getElementById("_head" + actTab).parentNode;		// eltntetjk az aktulis fl tartalmt
		actTabDiv.style.display = "none";
		actTabLi = document.getElementById("_tab" + actTab)						// az aktulis fl LI eleme
		actTabLi.className = actTabLi.className.replace(/selected/g, "");		// mr nem aktulis listaelem

		actTab = tabNum;														// mostantl ez lesz az aktulis fl

		actTabDiv = document.getElementById("_head" + actTab).parentNode;
		actTabDiv.style.display = "block";
		document.getElementById("_tab" + actTab).className += " selected";		// az aktulis flnek ms a szne
	}
	
	tab.childNodes[0].blur();													// eldobjuk a kijells kerett
}

// ****************************************************************************
// inicializljuk az oldalt
// ****************************************************************************
function initPage() {
	var a, b, i, l, t;
	
	// az sszes linket tnzzk s belltjuk 
	var links = document.getElementsByTagName("a");

	for (l = 0; l < links.length; l++) {
		if (links[l].hostname != location.hostname)
			links[l].target = "_blank";

		if (RegExp(/#$/).test(links[l].href))
			links[l].onclick = function() { return false; }
	}
	
	var ie6warn = document.getElementById("ie6");
	if (ie6warn) {
		var browsers = ie6warn.getElementsByTagName("li");
		var browserNum = browsers.length;
		
		for (i = 0; i < 50; i++) {
			a = Math.floor(Math.random() * browserNum);
			b = Math.floor(Math.random() * browserNum);
			if (a != b) {
				t = browsers[a].innerHTML;
				browsers[a].innerHTML = browsers[b].innerHTML;
				browsers[b].innerHTML = t;
			}
		}

		var ie6close = document.getElementById("ie6close");
		if (ie6close) {
			ie6close.style.display = "block";
			ie6close.onclick = function() { document.getElementById("ie6").style.display = "none"; }
		}
	}

	// vgignzzk az sszes tblt 
	var tables = document.getElementsByTagName("table");
	
	for (var t = 0; t < tables.length; t++) {
		if (tables[t].id == "sortable") {
			// a fejlcre linkeket helyeznk a rendezshez
			for (var c = 0; c < tables[t].tHead.rows[0].cells.length; c++) {
				// ltrehozunk egy j linket
				var newLink = document.createElement("a");
				newLink.href = "javascript:sortTable(" + (c + 1) + ")";
		
				// a linkhez hozzadjuk a cella sszes elemt
				var children = tables[t].tHead.rows[0].cells[c].childNodes;
				for (var n = 0; n < children.length; n++) {
					newLink.appendChild(children[n]);
				}
				
				// az j linket hozzadjuk a cellhoz
				tables[t].tHead.rows[0].cells[c].appendChild(newLink);
			}
		}
	}
	
	// a rsztvevk tbljban az orszgnevek el odatesszk a zszlkat
	if (document.body.id == "resztvevok") {
		var table = document.getElementById("sortable");

		for (var r = 0; r < table.tBodies[0].rows.length; r++) {
			var county = table.tBodies[0].rows[r].cells[3].innerHTML;
			var cocode = "empty";
			
			for (var c = 0; c < country.length; c++) {
				if (country[c][1].toLowerCase() == county.toLowerCase()) {
					cocode = country[c][0].toLowerCase();
					break;
				}
			}
			table.tBodies[0].rows[r].cells[3].innerHTML = '<img src="images/flags/' + cocode + '.gif" alt=""/> ' + county;
		}
	}

	// van-e navigtor div a lapon?
	var nav = document.getElementById("navigator");
	if (nav) {
		// ltrehozunk egy j listt
		var list = document.createElement("ul");
		
		var heads = document.getElementById("jobb_panel").getElementsByTagName("h2");
		for (h = 0; h < heads.length; h++) {
			heads[h].id = "_head" + h;											// azonostt adunk a cmsornak
			
			var listelem = document.createElement("li");						// ltrehozunk egy j LI elemet
			listelem.id = "_tab" + h;											// azonostt adunk a linknek
			listelem.innerHTML = '<a href="#">' + heads[h].innerHTML + '</a>';	// kell egy link
			listelem.onclick   = function() { showTab(this); return false; }  	// amire ha kattintanak, vltson flet
			list.appendChild(listelem);											// felfzzk a listra
			
			if (h == 0) {														// az els a kivlasztott
				listelem.className = "selected";
			} else {
				tabDiv = heads[h].parentNode;									// az sszes tbbit eltntetjk
				tabDiv.style.display = "none";
			}
		}
		nav.appendChild(list);													// a listt beillesztjk a DIV-be
		actTab = "0";															// az aktulis "fl" a 0.
	}

	// cikkekhez tartalomjegyzket ksztnk
	if (document.body.id == "cikkek") {
		var toc = document.getElementById("tartalom");
		var art = document.getElementById("cikk");
		
		if (toc && art) {
			var tocList = document.createElement("ul");
			var tocLine = 0;
		
			// helyet csinlunk a tartalomnak
			toc.className += " tartalom_be";
			art.className += " tartalom_be";
			
			var tocTitle = document.createElement("h1");
			tocTitle.innerHTML = "Tartalom";
			toc.appendChild(tocTitle);
			
			var elems = art.getElementsByTagName("*");
			for (var e = 0; e < elems.length; e++) {
				var nodeName = elems[e].nodeName.toLowerCase();
				if (nodeName == "h1" || nodeName == "h2" || nodeName == "h3" || nodeName == "h4") {
					if (elems[e].id) {
						id = elems[e].id
					} else {
						id = "_toc" + ++tocLine;
						elems[e].id = id;
					}

					var tocElem = document.createElement("li");
					tocElem.innerHTML = '<a href="#' + id + '">' + elems[e].innerHTML + '</a>';
					tocElem.className = "toclevel" + nodeName.substr(1, 1);
					tocList.appendChild(tocElem);
				}
			}
			toc.appendChild(tocList);
		}
		
		// lbjegyzeteljk a cikk hivatkozsait
		if (art) {
			var footers = new Array();
			var links = art.getElementsByTagName("a");
			
			for (var l = 0; l < links.length; l++) {
				var actLink = links[l].href;
				var linkNum = -1;
				
				for (var f = 0; f < footers.length && linkNum == -1; f++) {
					if (footers[f] == actLink)
						linkNum = f;
				}
				
				if (linkNum == -1) {
					linkNum = footers.length;
					footers[linkNum] = actLink;
				}
				
				links[l].innerHTML += "<span>[" + (linkNum + 1) + "]</span>";
			}
			
			// ltrehozunk az sszegyjttt hivatkozsoknak egy listt
			var footer = document.createElement("ul");
			footer.id = "labjegyzet";
			for (var f = 0; f < footers.length; f++) {
				var footerNode = document.createElement("li");
				footerNode.innerHTML = "[" + (f + 1) + "]&nbsp;" + footers[f].replace("http://", "");
				footer.appendChild(footerNode);
			}
			art.appendChild(footer);
		}
	}
}

window.onload = initPage;